# Uses of Class
org.eclipse.text.edits.MoveSourceEdit

Packages that use MoveSourceEdit
Package
Description
org.eclipse.text.edits
Provides support for describing and applying textual document editions.

## Uses of MoveSourceEdit in org.eclipse.text.edits

Methods in org.eclipse.text.edits that return MoveSourceEdit
Modifier and Type
Method
Description
`MoveSourceEdit`
MoveTargetEdit.`getSourceEdit()`
Returns the associated source edit or `null` if no source edit is associated yet.
Methods in org.eclipse.text.edits with parameters of type MoveSourceEdit
Modifier and Type
Method
Description
`void`
MoveTargetEdit.`setSourceEdit(MoveSourceEdit edit)`
Sets the source edit.
`boolean`
TextEditVisitor.`visit(MoveSourceEdit edit)`
Visits a `MoveSourceEdit` instance.
Constructors in org.eclipse.text.edits with parameters of type MoveSourceEdit
Modifier
Constructor
Description
``
`MoveTargetEdit(int offset, MoveSourceEdit source)`
Constructs an new move target edit